package com.inspect.job.mapper;

import com.inspect.job.domain.SysJob;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface SysJobMapper {
    List<SysJob> selectJobList(SysJob sysJob);

    List<SysJob> selectJobAll();

    SysJob selectJobById(Long id);

    int deleteJobById(Long id);

    int deleteJobByIds(Long[] ids);

    int updateJob(SysJob sysJob);

    int insertJob(SysJob sysJob);
}
